from distutils.core import setup

modname = 'wiat'

numversion = (0, 1, 0)
version = '.'.join([str(num) for num in numversion])

license = 'GPL'
copyright = '''Copyright 2008 Antoine Lefebvre
(antoine.lefebvre2@mail.mcgill.ca).
http://www.music.mcgill.ca/musictech/caml/wiat/ -- mailto:antoine.lefebvre2@mail.mcgill.ca'''

short_desc = "musical acoustics calculation software"
long_desc = """\
 The Wind Instrument Acoustic Toolkit software environment is a package of 
 computer programs useful for the researchers in wind instrument musical 
 acoustic and eventually to the wind instrument designer."""

author = "Antoine Lefebvre"
author_email = "antoine.lefebvre2@mail.mcgill.ca"

web = "http://www.music.mcgill.ca/musictech/caml/wiat/"

pyversions = ["2.5"]

classifiers =  ['Development Status :: 3 - Alpha',
                'Environment :: Console',
                'Intended Audience :: Science/Research',
                'License :: OSI Approved :: GNU General Public License (GPL)',
                'Operating System :: OS Independent',
                'Programming Language :: Python',
                'Topic :: Scientific/Engineering :: Physics',
                ]

BASE_BLACKLIST = ('.svn')

setup(name = modname,
      version = version,
      license = license,
      description = short_desc,
      long_description = long_desc,
      author = author,
      author_email = author_email,
      url = web,
      classifiers = classifiers,
      packages=['wiat','wiat.TM','wiat.MM','wiat.instruments','wiat.tests',],

      package_data = {'wiat': ['doc/*.html', 'doc/examples/*.html', 
                               'doc/examples/*.png', 'doc/api/*.html', 
                               'doc/api/*.png', 'doc/api/*.css', 'doc/api/*.js',
                               'doc/api/*.txt', 'Examples/example*.txt'],
                      'wiat.MM': ['Znm.mat']},
     )

