import unittest
import os
#import time
import sys

import numpy
import pylab

import wiat
from wiat.TM import *
from wiat.instruments import Saxophones

class TestSaxophone(unittest.TestCase):
    def setUp(self):
        self.f = numpy.arange(100,4600,1,dtype=float)
        self.T = 25.
    def testSelmerSerieII(self):
        datafile = wiat.MEASUREMENTDIR + os.sep + '20061117Z_notonehole.mat'
        try:
            fmeas,Zmeas = wiat.Data.load_from_mat(('freqs','z'), datafile)
        except IOError, arg:
            print arg
            sys.exit([-1])
    
#web = PageWeb('Selmer_wo_toneholes.html')
#now = time.clock()
#f = numpy.arange(100,4600,1,dtype=float)
#T = 25.

        ZSax = CalculateImpedance(
                Saxophones.SelmerSerieII.set_fingering('B flat 0'),
                self.f,self.T)
        Plot = wiat.Plot.ImpedancePlot("Saxophone wo toneholes", 
                [(self.f,ZSax,'Calculated'), (fmeas,Zmeas,'Measured')])
        Plot.plot()
        #Plot.save()
        pylab.show()

#print "...done in %.2f seconds"%(time.clock() - now)




#table = ImpedanceMaximaComparison('Table of impedance maxima comparison for the saxophone wo toneholes (theory vs. experimental)',\
#                                  [ZSax, saxophonedata])
#table.htmlExport(web.file)
##table.latexExport(sys.stdout)
#web.addLink(Plot.pngfilename, 'Plot in PNG format')
#web.addLink(Plot.pdffilename, 'Plot in PDF format')
#
##pylab.close()
 
suite = unittest.TestSuite()
suite.addTest(TestSaxophone('testSelmerSerieII'))
unittest.TextTestRunner(verbosity=2).run(suite)
