import unittest
import doctest
import wiat

suite = unittest.TestSuite()

# add test from the wiat package
suite.addTest(doctest.DocTestSuite(wiat.Data))
suite.addTest(doctest.DocTestSuite(wiat.Plot))
suite.addTest(doctest.DocTestSuite(wiat.Reports))
suite.addTest(doctest.DocTestSuite(wiat.util))

# add test from the wiat.TM package
suite.addTest(doctest.DocTestSuite(wiat.TM.Inst))
suite.addTest(doctest.DocTestSuite(wiat.TM.Waveguides))
suite.addTest(doctest.DocTestSuite(wiat.TM.Radiation))
suite.addTest(doctest.DocTestSuite(wiat.TM.Functions))

# add test from the wiat.MM package
suite.addTest(doctest.DocTestSuite(wiat.MM.Functions))
suite.addTest(doctest.DocTestSuite(wiat.MM.Radiation))
suite.addTest(doctest.DocTestSuite(wiat.MM.Solver))
suite.addTest(doctest.DocTestSuite(wiat.MM.Waveguides))

runner = unittest.TextTestRunner(verbosity=2)
runner.run(suite)

